Issue 119576 - [From Symphony]Paragraph indent and spacing between bullets and text are inconsistent with MS word
[From Symphony]Paragraph indent and spacing between bullets and text are inco...
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: open-import
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 07:02 UTC by Yan Ji
Modified: 2012-12-26 08:25 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample (67.00 KB, application/msword)
2012-05-30 07:02 UTC, Yan Ji
no flags Details
patch for the issue (1.61 KB, patch)
2012-08-24 02:46 UTC, Lei Debin
debin.lei: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Yan Ji 2012-05-30 07:02:04 UTC
Created attachment 77793 [details]
sample

Build: AOO3.4
Open attached sample file and compare with MS Office

Defect: Paragraph indent and spacing between bullets and text are inconsistent with MS word
Comment 1 Lei Debin 2012-08-21 07:17:10 UTC
I am checking the issue
Comment 2 Lei Debin 2012-08-24 02:40:52 UTC
if read flag 
0x8460(the logical left indent of the first line of the paragraph) 
0x8411(the logical left indent of the first line of the paragraph)
must to be set left indent of old version type file also when set first line indent.
So the solution is add a function named as lcl_HasExplicitLeft to check if there is a explicit para left indent property. The condition is to check
0x840F(the physical left indent of the paragraph).
If the para had 0x8460(or 0x8411) and not had 0x840F(or 0x845E), should set the default tab indent and tab property.
More detail please check the patch.
Comment 3 Lei Debin 2012-08-24 02:46:18 UTC
Created attachment 79108 [details]
patch for the issue
Comment 4 zjchen 2012-08-29 02:08:25 UTC
I am volunteering to review this patch.

Setting default tab stop in this situation makes sense and solves the problem. 

The patch is OK for me.
Comment 5 SVN Robot 2012-08-29 05:45:17 UTC
"leidb" committed SVN revision 1378446 into trunk:
#119576# fix indent and spacing between bullets and text are inconsistent wit...
Comment 6 Lei Debin 2012-08-29 05:51:44 UTC
Zuo Jun, thanks your review.
Comment 7 Du Jing 2012-09-04 07:14:30 UTC
verified on the build AOO-r1380171